// Code generated by templ - DO NOT EDIT.

// templ: version: v0.2.778
package templx

//lint:file-ignore SA4006 This context is only used if a nested component is present.

import "github.com/a-h/templ"
import templruntime "github.com/a-h/templ/runtime"

func Head(title string) templ.Component {
	return templruntime.GeneratedTemplate(func(templ_7745c5c3_Input templruntime.GeneratedComponentInput) (templ_7745c5c3_Err error) {
		templ_7745c5c3_W, ctx := templ_7745c5c3_Input.Writer, templ_7745c5c3_Input.Context
		if templ_7745c5c3_CtxErr := ctx.Err(); templ_7745c5c3_CtxErr != nil {
			return templ_7745c5c3_CtxErr
		}
		templ_7745c5c3_Buffer, templ_7745c5c3_IsBuffer := templruntime.GetBuffer(templ_7745c5c3_W)
		if !templ_7745c5c3_IsBuffer {
			defer func() {
				templ_7745c5c3_BufErr := templruntime.ReleaseBuffer(templ_7745c5c3_Buffer)
				if templ_7745c5c3_Err == nil {
					templ_7745c5c3_Err = templ_7745c5c3_BufErr
				}
			}()
		}
		ctx = templ.InitializeContext(ctx)
		templ_7745c5c3_Var1 := templ.GetChildren(ctx)
		if templ_7745c5c3_Var1 == nil {
			templ_7745c5c3_Var1 = templ.NopComponent
		}
		ctx = templ.ClearChildren(ctx)
		_, templ_7745c5c3_Err = templ_7745c5c3_Buffer.WriteString("<head><meta charset=\"utf-8\"><meta charset=\"utf-8\"><meta name=\"viewport\" content=\"width=device-width, initial-scale=1\"><title>")
		if templ_7745c5c3_Err != nil {
			return templ_7745c5c3_Err
		}
		var templ_7745c5c3_Var2 string
		templ_7745c5c3_Var2, templ_7745c5c3_Err = templ.JoinStringErrs(title)
		if templ_7745c5c3_Err != nil {
			return templ.Error{Err: templ_7745c5c3_Err, FileName: `templx/head.templ`, Line: 8, Col: 17}
		}
		_, templ_7745c5c3_Err = templ_7745c5c3_Buffer.WriteString(templ.EscapeString(templ_7745c5c3_Var2))
		if templ_7745c5c3_Err != nil {
			return templ_7745c5c3_Err
		}
		_, templ_7745c5c3_Err = templ_7745c5c3_Buffer.WriteString("</title><link rel=\"icon\" type=\"image/x-icon\" href=\"static/favicon.ico\"><link href=\"static/css/bootstrap.min.css\" rel=\"stylesheet\"><link href=\"static/css/app.css\" rel=\"stylesheet\"><link href=\"static/css/splitter.css\" rel=\"stylesheet\"><script src=\"static/js/bootstrap.bundle.min.js\"></script><script src=\"static/js/splitter.js\"></script><script src=\"static/js/ace/ace.js\"></script><script src=\"static/js/ace/ext-language_tools.js\"></script><script src=\"static/js/ace/ext-searchbox.js\"></script><script src=\"static/js/ace/ext-static_highlight.js\"></script><script src=\"static/js/ace/ext-statusbar.js\"></script><script src=\"static/js/ace/mode-css.js\"></script><script src=\"static/js/ace/mode-javascript.js\"></script><script src=\"static/js/ace/mode-lml.js\"></script><script src=\"static/js/htmx.min.js\"></script><link href=\"static/js/quill/quill.snow.css\" rel=\"stylesheet\"><script src=\"static/js/quill/quill.js\"></script><script type=\"module\" src=\"static/wc/app-settings.js\"></script><script type=\"module\" src=\"static/wc/catalog-manager.js\"></script><script type=\"module\" src=\"static/wc/checkbox-group.js\"></script><script type=\"module\" src=\"static/wc/code-editor.js\"></script><script type=\"module\" src=\"static/wc/data-table.js\"></script><script type=\"module\" src=\"static/wc/db-explorer.js\"></script><script type=\"module\" src=\"static/wc/db-importer.js\"></script><script type=\"module\" src=\"static/wc/dropdown-list.js\"></script><script type=\"module\" src=\"static/wc/edit-tools.js\"></script><script type=\"module\" src=\"static/wc/gen-layout-picker.js\"></script><script type=\"module\" src=\"static/wc/generation-layouts.js\"></script><script type=\"module\" src=\"static/wc/generation-manager.js\"></script><script type=\"module\" src=\"static/wc/help-info.js\"></script><script type=\"module\" src=\"static/wc/id-trace.js\"></script><script type=\"module\" src=\"static/wc/input-with-dropdown.js\"></script><script type=\"module\" src=\"static/wc/key-value-table.js\"></script><script type=\"module\" src=\"static/wc/kvs.js\"></script><script type=\"module\" src=\"static/wc/ldp-tool.js\"></script><script type=\"module\" src=\"static/wc/list-editor.js\"></script><script type=\"module\" src=\"static/wc/log-viewer.js\"></script><script type=\"module\" src=\"static/wc/modal-add-dir.js\"></script><script type=\"module\" src=\"static/wc/modal-add-record.js\"></script><script type=\"module\" src=\"static/wc/modal-confirm.js\"></script><script type=\"module\" src=\"static/wc/modal-edit-record.js\"></script><script type=\"module\" src=\"static/wc/modal-file-select.js\"></script><script type=\"module\" src=\"static/wc/modal-icon-help.js\"></script><script type=\"module\" src=\"static/wc/prop-desc.js\"></script><script type=\"module\" src=\"static/wc/publication-manager.js\"></script><script type=\"module\" src=\"static/wc/radio-group.js\"></script><script type=\"module\" src=\"static/wc/regex-input.js\"></script><script type=\"module\" src=\"static/wc/repo-table.js\"></script><script type=\"module\" src=\"static/wc/regex-group.js\"></script><script type=\"module\" src=\"static/wc/regex-tester.js\"></script><script type=\"module\" src=\"static/wc/rich-editor.js\"></script><script type=\"module\" src=\"static/wc/site-compare.js\"></script><script type=\"module\" src=\"static/wc/sse-client.js\"></script><script type=\"module\" src=\"static/wc/synch-manager.js\"></script><script type=\"module\" src=\"static/wc/template-explorer.js\"></script><script type=\"module\" src=\"static/wc/template-fallback.js\"></script><script type=\"module\" src=\"static/wc/toggle-text.js\"></script><script type=\"module\" src=\"static/wc/topic-key-compare.js\"></script><script type=\"module\" src=\"static/wc/unicode-tools.js\"></script><script type=\"module\" src=\"static/wc/user-profile.js\"></script><script type=\"module\" src=\"static/wc/utils.js\"></script><script type=\"module\" src=\"static/wc/ws-client.js\"></script></head>")
		if templ_7745c5c3_Err != nil {
			return templ_7745c5c3_Err
		}
		return templ_7745c5c3_Err
	})
}

var _ = templruntime.GeneratedTemplate
